# List payment schedule items Lists Payment Schedule Item objects. You can use the query parameters to filter, expand, and sort the returned results. Endpoint: GET /object-query/payment-schedule-items Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. Supported sortable fields: - id - updateddate - number - accountid - invoiceid - debitmemoid - paymentscheduleid - scheduleddate - status - paymentid - cancellationreason - `expand[]` (array) Allows you to expand responses by including related object information in a single call. The Payment Schedule Item object does not support expanding any related objects. Enum: "paymentscheduleitempayments", "paymentscheduleitempayments.payment" - `filter[]` (array) A case-insensitive filter on the list. Supported filterable fields: - id - updateddate - number - accountid - invoiceid - debitmemoid - paymentscheduleid - scheduleddate - status - paymentid - cancellationreason - {indexedcustomfield}: Use the format like customField__c to filter on custom fields. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `nextPage` (string,null) A string that can be used as the cursor value to retrieve the next page of the response if it exists; otherwise absent. - `data` (array) - `data.id` (string) The unique identifier of the payment schedule item. - `data.createdById` (string) The unique identifier of the user who created the payment schedule item. - `data.createdDate` (string) The time that the payment schedule item gets created in the system, in the YYYY-MM-DD HH:MM:SS format. - `data.updatedById` (string) The unique identifier of the user who last updated the payment schedule item. - `data.updatedDate` (string) The time that the payment schedule item gets updated in the system, in the YYYY-MM-DD HH:MM:SS format. - `data.number` (string) Number of the payment schedule item. - `data.accountId` (string) ID of the account that owns the payment schedule. - `data.invoiceId` (string) The unique identifier of the invoice to which the payment is applied. - `data.debitmemoId` (string) The unique identifier of the debit memo to which the payment is applied. - `data.paymentOptionId` (string) The unique identifier of the payment option that is used to process the payment schedule item. - `data.prepayment` (boolean) Indicates whether the payments created by the payment schedule are used as a reserved payment. This field is available only if the prepaid cash drawdown permission is enabled. See [Prepaid Cash with Drawdown](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Invoicing/JA_Advanced_Consumption_Billing/Prepaid_Cash_with_Drawdown) for more information. - `data.scheduledDate` (string) The scheduled date when the payment is processed. - `data.runHour` (integer) At which hour in the day in the tenant’s timezone the recurring payment schedule items will be collected. Return 0 for custom payment schedules. - `data.paymentMethodId` (string) ID of the payment method that will pay the billing documents. - `data.paymentGatewayId` (string,null) ID of the payment gateway that processes the payment. - `data.amount` (number) The total amount of the payment schedule item. - `data.balance` (number) The remaining balance of payment schedule item. - `data.currency` (string) The currency in which the payment is made. Note: If this field was not specified, the default value is the currency set for the account. - `data.status` (string) ID of the payment method of the payment schedule item. - Pending: Waiting for processing. - Processed: The payment has been collected. - Error: Failed to collect the payment. - Canceled: After a pending payment schedule item is canceled by the user, the item is marked as Canceled. Enum: "Pending", "Processed", "Error", "Canceled" - `data.errorMessage` (string) The error message indicating if the error is related to the configuration or the payment collection. - `data.paymentId` (string) ID of the payment that is created by the payment schedule item, or linked to the payment schedule item. This field is only available if the request doesn’t specify Zuora-Version, or Zuora-Version is set to a value equal to or smaller than\_336.0. - `data.description` (string) The description of the payment schedule item. - `data.cancellationReason` (string) The reason for the cancellation of payment schedule item. - `data.paymentScheduleId` (string) ID of the payment schedule to which the payment schedule item belongs. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.